Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232737 - gnome-launch-box: Funky application launcher
Summary: gnome-launch-box: Funky application launcher
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mads Villadsen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 22:01 UTC by Bastien Nocera
Modified: 2007-12-08 13:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-08 13:31:24 UTC
maxx: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Bastien Nocera 2007-03-16 22:01:06 UTC
Launch Box is an application launcher, heavily influenced by Quicksilver
for Mac OS X.

http://www.gnome.org/~hadess/gnome-launch-box/gnome-launch-box-0.2-1.src.rpm
http://www.gnome.org/~hadess/gnome-launch-box/gnome-launch-box.spec

Looks funky with compiz (check --help for the option)!

Comment 1 Mads Villadsen 2007-03-16 23:37:36 UTC
Builds in mock on x86.

rpmlint gives the following output:

W: gnome-launch-box non-conffile-in-etc /etc/gconf/schemas/gnome-launch-box.schemas

Looking at other packages the location of the schema file does seem to be
correct, however.

Package name and spec file name are fine.

License is fine and included in the package.

Source file matches upstream.

Build dependencies listed correctly in BuildRequires.

Package cleanup is fine.

It does however crash on my machine with the following error:

The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 760 error_code 8 request_code 72 minor_code 0)

This is both with and without the -t option.

It might be related to bug #231170 - at least the same workaround works (setting
XLIB_SKIP_ARGB_VISUALS=1).

So it might be interesting to keep track of that bug.

This is all on an F7T2 box.

Everything is fine, but would like for the crasher bug to be fixed before
accepting the package. I'll try to find an FC6 machine and build/test it there
as well.


Comment 2 Bastien Nocera 2007-03-17 00:03:34 UTC
Works fine (both modes) with my FC6 install. Are you using compiz/beryl as well?

Comment 3 Mads Villadsen 2007-03-17 17:15:24 UTC
The crash happens with both beryl and metacity. However with
XLIB_SKIP_ARGB_VISUALS=1 it works with both beryl and metacity.

It works on my wifes FC6 machine, so I am moving it to accepted status.

But when gnome-launch-box gets a bugzilla entry I'll try to remember to file
this crasher bug so it doesn't end up being forgotten.

I hope this is in accordance with the review rules.

Comment 4 Mads Villadsen 2007-03-21 23:38:10 UTC
I just recompiled this after the recent cairo update and everything works fine
now without crashing.


Comment 5 Bastien Nocera 2007-05-24 22:16:31 UTC
New Package CVS Request
=======================
Package Name: gnome-launch-box
Short Description: Funky application launcher
Owners: bnocera@redhat.com
Branches: devel
InitialCC: 

Comment 6 Tom "spot" Callaway 2007-05-25 13:52:40 UTC
cvs done


Note You need to log in before you can comment on or make changes to this bug.